Documentation Center

API changes for third-party developers

Continuing the initiative started in the Trados Groupshare 2020 SR1 CU8 release, we are adding more endpoints for Trados Studio and third-party integrations.

Changes to TM Service

New endpoint to validate and change system metadata fields

Users with Administrative permissions can now use endpoint /api/tmservice/tms/{translationMemoryId}/tus/{sourceLanguage} /{targetLanguage} to remove or make anonymous any PII (personally identifiable information) like username (or name) from system fields in GroupShare TMs. This is useful for security policies and GDPR-compliance scenarios.

Empty request bodies endpoint

POST requests to TM Service without a request body now require a Content-Type header (generally with value "application/json"). Here are some examples:
  • POST /api/tmservice/tms/{tmid}/export
  • POST /api/tmservice/tms/{tmid}/fuzzyindex/reindex
  • POST /api/tmservice/tms/{tmid}/fuzzyindex/recomputestatistics

New response code when resource no longer exists

This release also changes HTTP response status codes when interacting with non-existing TM resources. The HTTP 404 (Not found) status code is now displayed instead of HTTP 401 (Unauthorized) or HTTP 403 (Forbidden):
  • HTTP GET api/tmservice/tms/{tmId} with an invalid tmId
  • HTTP GET api/tmservice/tms/{tmId}/language-directions/{languageDirectionId} with an invalid "tmId or languageDirectionId
  • HTTP DELETE api/tmservice/tms/{tmId}/ with an invalid tmId
  • HTTP GET api/language-resource-service/templates/{templateId:guid} with an invalid templateId
  • HTTP GET api/fieldservice/templates/{templateId} with an invalid templateId

Changes in Swagger documentation

You can now access the TM-Service documentation from the GroupShare Swagger UI page at /documentation/api/index. Follow the instructions there to load the endpoints from /resources/TmServiceRestApiDocumentation.json.

New REST endpoints

Get Server Project Information

The new GetServerProjectInformation REST API retrieves all relevant information about a list of GroupShare projects and uses the following format: GET server/api/projectserver/v2/projects/publishingInformation?projectIds={projectId,projectId_1,projectId_2}

Publish packages

PublishPackage endpoint uploads GroupShare packages block by block, which improves performance when uploading larger packages. The PublishPackage, PublishPackageinBlocks, and FileUpload endpoints support CancellationToken.

Export Excel reports

ExportExcel creates and exports predefined reports in Excel format. This was created in the Reporting Service, and generates three reports: Predefined Projects, Predefined Tasks and Predefined TMLeverage.

Changes in Verification Service health response structure

The JSON response structure of the Verification Service health endpoint {server}:41262/api/verification/health now extracts the "details" array of the dependent services as properties.

SPN required for Windows authentication

Setting up SPN (Service Principal Name) on the GroupShare server is now mandatory when using Windows authentication from Trados Studio. The is a result of the migration from WCF endpoints to REST API.

For information on configuring SPN, see HTTPS://GATEWAY.SDL.html.